Ada Reference Manual (Ada 2022) — Legal Information

# 2.5 Character Literals

1
A character_literal is formed by enclosing a graphic character between two apostrophe characters.

#### Syntax

2
character_literal ::= 'graphic_character'
3
NOTE A character_literal is an enumeration literal of a character type. See 3.5.2.

#### Examples

4
Examples of character literals:
5/2
'A' '*' ''' ' '
'L' 'Л' 'Λ' -- Various els.
'∞' 'א' -- Big numbers - infinity and aleph.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe